Bug 900620 (JBPAPP6-1392) - APR natives are not being loaded if UAC is in place (Windows Server 2008 R2)
Summary: APR natives are not being loaded if UAC is in place (Windows Server 2008 R2)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1392
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Apache Server (httpd) and Connectors
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: EAP 6.2.0
Assignee: Mladen Turk
QA Contact: Michal Karm Babacek
Tom WELLS
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard: eap6 window
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-07 15:04 UTC by Michal Karm Babacek
Modified: 2018-12-02 15:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
On Microsoft Windows servers, Apache portable runtime (APR) libraries will fail to load with User Account Control (UAC) enabled. After installing the libraries, an administrator user will need to right-click the JBoss directory and set "Full control" to "Allow" for the desired user in the Properties -> Security tab. This will correct the access rights for UAC.
Clone Of:
Environment:
Windows Server 2008 R2
Last Closed: 2014-08-20 08:49:24 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPAPP6-1392 Major Closed APR natives are not being loaded if UAC is in place (Windows Server 2008 R2) 2015-07-20 07:40:16 UTC

Description Michal Karm Babacek 2012-06-07 15:04:13 UTC
Affects: Release Notes
project_key: JBPAPP6

I did not manage to make EAP6 CR1 to load libs in *C:\tmp\jboss-eap-6.0\modules\org\jboss\as\web\main\lib\win-x86_64* under a non-Administrator user and with UAC in place.
When I switched to a user granted with Administrator rights + I disabled UAC ([DisableUACUtility|http://www.disableuac.com/] ), natives were loaded with no problem.

(!) We must note it in the release notes :-(

Comment 1 Michal Karm Babacek 2012-06-07 15:25:59 UTC
According to some windows-skilled guys, this is really weird. I will try to confirm it on another machine.

Comment 2 Mladen Turk 2012-06-07 17:05:20 UTC
Have you used cygwin's unzip to uncompress the archive? It sets some weird security settings

Comment 4 Anne-Louise Tangring 2012-06-07 18:38:07 UTC
Release Notes Docs Status: Added: Not Yet Documented
Affects: Added: Release Notes


Comment 5 Tom WELLS 2012-06-11 01:40:35 UTC
Release Notes Docs Status: Removed: Not Yet Documented Added: Documented as Known Issue
Release Notes Text: Added: On Windows servers, Apache portable runtime (APR) libraries will fail to load unless a user with administration rights is being used with User Account Control (UAC) disabled.


Comment 6 Dana Mison 2012-10-16 05:26:00 UTC
Writer: Added: tomwells


Comment 7 Anne-Louise Tangring 2012-11-13 20:57:53 UTC
Release Notes Docs Status: Removed: Documented as Known Issue 
Writer: Removed: tomwells 
Release Notes Text: Removed: On Windows servers, Apache portable runtime (APR) libraries will fail to load unless a user with administration rights is being used with User Account Control (UAC) disabled. 
Docs QE Status: Removed: NEW 


Comment 9 Russell Dickenson 2013-07-25 01:42:32 UTC
I changed the Release Notes Flag to "?" as it needs further work before being published.

Comment 10 Scott Mumford 2013-07-31 03:41:42 UTC
Michal, Has there been any movement on this issue?
Did this turn out to be a problem with Cygwin's unzipper permissions or something else?

To complete the release note we need info about the cause of the problem and how it was fixed (or a workaround.

Comment 11 Scott Mumford 2013-08-26 00:58:16 UTC
Setting for exclusion from 6.1.1 Release notes and removing NEEDINFO request.

Comment 12 Tom Fonteyne 2013-09-06 13:48:44 UTC
I reproduced this with:

- EAP 6.1.1
- Java 1.7.0_21 (64 bit)
- Windows 2008 R2
- UAC default
- a simple user which does not belong to the Administrator group
- unzipped with "winrar"

Enabled "native" on the web subsystem and at startup I got:

12:51:23,286 ERROR [org.jboss.msc.service.fail] (MSC service thread 1-2) MSC000001: Failed to start service jboss.web.connector.http
: org.jboss.msc.service.StartException in service jboss.web.connector.http: Failed to start service
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1767) [jboss-msc-1.0.4.GA-redhat-1.j
ar:1.0.4.GA-redhat-1]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source) [rt.jar:1.7.0_21]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source) [rt.jar:1.7.0_21]
        at java.lang.Thread.run(Unknown Source) [rt.jar:1.7.0_21]
Caused by: java.lang.NoClassDefFoundError: Could not initialize class org.apache.tomcat.jni.OS
        at org.apache.tomcat.util.net.AprEndpoint.init(AprEndpoint.java:582)
        at org.apache.coyote.http11.Http11AprProtocol.init(Http11AprProtocol.java:104)
        at org.apache.catalina.connector.Connector.init(Connector.java:984)
        at org.jboss.as.web.WebConnectorService.start(WebConnectorService.java:273)
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.startService(ServiceControllerImpl.java:1811) [jboss-msc-1.0.4.GA-r
edhat-1.jar:1.0.4.GA-redhat-1]
        at org.jboss.msc.service.ServiceControllerImpl$StartTask.run(ServiceControllerImpl.java:1746) [jboss-msc-1.0.4.GA-redhat-1.j
ar:1.0.4.GA-redhat-1]
        ... 3 more

Next I right-clicked my JBoss directory (and repeated for Java directory) and in the properties, security tab, set "Full control" to "Allow" for my user.

Starting JBoss now works just fine; I double checked with sysinternals "Process Explorer" and the dll's were loaded indeed.

Comment 16 Jan Stefl 2014-08-20 08:49:24 UTC
I am closing this BZ because this issues was fixed by proper documentation already.


Note You need to log in before you can comment on or make changes to this bug.